%global srcname calcephpy

Name:           python-%{srcname}
Version:        3.5.5
Release:    1%{?dist}
Summary:        Astronomical library to access planetary ephemeris files

License:        CECILL-2.0 OR CECILL-B OR CECILL-C
URL:            https://pypi.python.org/pypi/calcephpy
Source0:        %{pypi_source}


%global _description %{expand:
This is the Python module of calceph.
Calceph is a library designed to access the binary planetary ephemeris files,
such INPOPxx, JPL DExxx and SPICE ephemeris files.}

%description %_description


%package -n     python3-%{srcname}
Summary:        %{summary}
BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython


%description -n python3-%{srcname} %_description


%package        doc
Summary:        Documentation files for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation for %{name}.


%prep
%autosetup -p1 -n %{srcname}-%{version}

chmod -x COPYING*

rm -r %{srcname}.egg-info


%build
export CPPFLAGS="$CXXFLAGS"
%py3_build

find doc -name .buildinfo -exec rm -f {} \;


%install
%py3_install


%files -n       python3-%{srcname}
%license COPYING_CECILL_V2.1.LIB COPYING_CECILL_B.LIB COPYING_CECILL_C.LIB
%{python3_sitearch}/*.so
%{python3_sitearch}/*egg-info/


%files      doc
%doc doc/calceph_python.pdf doc/html/python/


%changelog
* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.5-1
- initial build
